Rensei docs
API ReferenceWorkflows

List runs (instances) of a workflow.

List runs (instances) of a workflow. - Rensei REST API operation reference.

GET
/api/workflows/{id}/instances

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

id*string

Workflow id.

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
pageSize?integer
Range1 <= value <= 100
status?string

Response Body

Paginated instances.

application/json
  1. response
instances*array<>
total*integer
Range-9007199254740991 <= value <= 9007199254740991
page*integer
Range-9007199254740991 <= value <= 9007199254740991
pageSize*integer
Range-9007199254740991 <= value <= 9007199254740991
Example Request
curl -X GET 'https://app.rensei.ai/api/workflows/string/instances'
Example Response
{  "instances": [    {      "id": "string",      "workflowId": "string",      "workspaceId": "string",      "status": "string",      "triggerType": "string",      "triggerEvent": null,      "definitionVersion": "string",      "context": null,      "error": "string",      "isTestRun": true,      "unmockedNodeIds": [        "string"      ],      "startedAt": "string",      "completedAt": "string",      "createdAt": "string",      "updatedAt": "string"    }  ],  "total": -9007199254740991,  "page": -9007199254740991,  "pageSize": -9007199254740991}